Skip to main content
POST
/
table
/
reference
Create a table reference
curl --request POST \
  --url https://app.myhero.so/table/reference \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tableId": "<string>",
  "columnId": "<string>",
  "documentId": "<string>",
  "_id": "<string>",
  "relatedRowId": "<string>",
  "rowId": "<string>",
  "oneToManyColumnId": "<string>",
  "oneToManyInstanceIds": [
    "<string>"
  ]
}
'
import requests

url = "https://app.myhero.so/table/reference"

payload = {
"tableId": "<string>",
"columnId": "<string>",
"documentId": "<string>",
"_id": "<string>",
"relatedRowId": "<string>",
"rowId": "<string>",
"oneToManyColumnId": "<string>",
"oneToManyInstanceIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tableId: '<string>',
columnId: '<string>',
documentId: '<string>',
_id: '<string>',
relatedRowId: '<string>',
rowId: '<string>',
oneToManyColumnId: '<string>',
oneToManyInstanceIds: ['<string>']
})
};

fetch('https://app.myhero.so/table/reference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "_id": "<string>",
    "documentId": "<string>",
    "workspaceId": "<string>",
    "tableId": "<string>",
    "columnId": "<string>",
    "relatedRowId": "<string>",
    "columnName": "<string>",
    "tableName": "<string>",
    "createdAt": 123,
    "updatedAt": 123,
    "originId": "<string>",
    "rowId": "<string>",
    "oneToManyColumnId": "<string>",
    "oneToManyInstanceIds": [
      "<string>"
    ]
  }
}
{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}
{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}
{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
tableId
string
required
Minimum string length: 1
columnId
string
required
Minimum string length: 1
documentId
string
required
Minimum string length: 1
_id
string
rowId
string | null
oneToManyColumnId
string | null
oneToManyInstanceIds
string[]
type
enum<string>
Available options:
relation,
reference,
global

Response

200 response

data
object
required